> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/cdn/common/describebusinesstypes.md).

# DescribeBusinessTypes

## 1. API Description

This API (DescribeBusinessTypes) is used to query the business types for accelerated domains.

## 2. Output Parameters

| Parameter Name  | Type                                                                           | Description                                                                                              |
| --------------- | ------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------- |
| businessTypeSet | Array of [Region](/api-reference/networking/cdn/datastructure.md#businessType) | Collection of business type information.                                                                 |
| requestId       | String                                                                         | Unique request ID. Returned with every request. This request's requestId is needed when troubleshooting. |

## 3. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the business types for accelerated domains.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-TC-Action: DescribeBusinessTypes
<Common Request Params>

Request:
{
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "businessTypeSet": [
      {
        "businessTypeId": "4f839da5-7095-4db3-9429-b5a607ca9eb2",
        "businessTypeName": "Large File Acceleration"
      },
      {
        "businessTypeId": "9e00168d-748d-4ff0-8aa5-8bc3792e8988",
        "businessTypeName": "Small File Acceleration"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 4. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/common/describebusinesstypes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
